Bug 131621 - Crash saving template file (see comment 4)
Summary: Crash saving template file (see comment 4)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0 all versions
Hardware: All All
: high major
Assignee: Mike Kaganski
URL:
Whiteboard: target:7.0.0 target:6.4.4 target:6.3.6
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2020-03-27 10:05 UTC by porscholz
Modified: 2020-04-22 15:46 UTC (History)
6 users (show)

See Also:
Crash report or crash signature: ["SwDocShell::SaveAs(SfxMedium%20&)"]


Attachments
Letter template made anonymos (28.46 KB, application/vnd.oasis.opendocument.text-template)
2020-03-29 12:27 UTC, porscholz
Details
bt with debug symbols (9.38 KB, text/plain)
2020-04-16 20:37 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description porscholz 2020-03-27 10:05:09 UTC
This bug was filed from the crash reporting server and is br-75cd1d7b-65a7-4a18-a840-712058f72496.
=========================================
Comment 1 Dieter 2020-03-27 12:40:38 UTC
Thank you for reporting the bug. Regarding to the crash report you are using LO 6.3.5.2 Could you please try to reproduce it with the latest version of LibreOffice from https://www.libreoffice.org/download/libreoffice-fresh/ ? I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' if the bug is still present in the latest version. Change to RESOLVED WORKSFORME, if the problem went away.

If the crash still hapens with LO fresh, please add some steps to reproduce the crash. Thank you.
Comment 2 porscholz 2020-03-29 12:27:41 UTC
Created attachment 159116 [details]
Letter template made anonymos

There is also a modified version of the datebase used. But upload here is only for one file.
Comment 3 porscholz 2020-03-29 12:35:02 UTC
Thanks for advice. I've changed to LO 6.4.2 and startet mail merge letter again. As before I can insert text, but LO crahes at the latest attempting to save the document. Meanwhile I've uploaded a lot of crashreports - all refer to mergedlo.dll or swlo.dll with Crash Reason EXCEPTION_ACCESS_VIOLATION_READ .
Comment 4 porscholz 2020-04-05 16:44:02 UTC
Casually I could eleminate the error. The test-template contains a hidden bug. After creating this template new, no longer a crash occures.
Comment 5 Telesto 2020-04-16 19:33:55 UTC
STR

1. Open attachment 159116 [details]
2. File -> Save As -> Crash
Comment 6 Telesto 2020-04-16 19:34:54 UTC
No repro with
Versie: 4.4.7.2 
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Locale: nl_NL
Comment 7 Julien Nabet 2020-04-16 20:37:09 UTC
Created attachment 159641 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I got an assert
Comment 8 Julien Nabet 2020-04-17 07:35:42 UTC
In EmbeddedDatabase/content.xml extracted from ott file, I noticed this:
<db:file-based-database xlink:href="../../../LibreOffice/Datenbanken/PersAdressbuch.ods/" db:media-type="application/vnd.oasis.opendocument.spreadsheet" />
Comment 9 Julien Nabet 2020-04-17 07:40:06 UTC
I gave a try with https://gerrit.libreoffice.org/c/core/+/92398
Comment 10 Xisco Faulí 2020-04-17 10:13:50 UTC
Also reproducible in

Version: 6.0.0.0.alpha1+
Build ID: 6eeac3539ea4cac32d126c5e24141f262eb5a4d9
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); Calc: group threaded
Comment 11 Julien Nabet 2020-04-17 10:27:10 UTC
My initial idea was wrong, I'll let Mike keep on with this.
Comment 12 porscholz 2020-04-17 12:04:04 UTC
please look at my Bug Report 131605 on the same issue
Comment 13 Dieter 2020-04-17 12:10:58 UTC Comment hidden (obsolete)
Comment 14 Telesto 2020-04-17 12:15:45 UTC
No crash with 5.4. An error box appears
Comment 15 Xisco Faulí 2020-04-17 12:53:23 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=3dee7948c732faf488846d4d3d1237e89afde28c

author	Mike Kaganski <mike.kaganski@collabora.com>	2017-11-13 16:10:49 +0300
committer	Mike Kaganski <mike.kaganski@collabora.com>	2017-11-13 18:23:43 +0100
commit	3dee7948c732faf488846d4d3d1237e89afde28c (patch)
tree	4b3237a12fa99081fae056791df5a7c67b77f950
parent	6be596c282f84a3cb3a62edccfdfbf69663cf59e (diff)
More proper construction of vnd.sun.star.pkg URL

Bisected with: bibisect-linux64-6.0

Adding Cc: to bibisect-linux64-6.0

Before this commit, a "Error saving the document Untitled 1: General Error.
General input/output error." message was prompted
Comment 16 Xisco Faulí 2020-04-17 12:56:23 UTC
The error mentioned in comment 15 can be reproduced back to

Version: 5.2.0.0.alpha1+
Build ID: 5b168b3fa568e48e795234dc5fa454bf24c9805e
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8)

but not in

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e

so that should be reported in another ticket
Comment 17 Commit Notification 2020-04-17 13:12:10 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0a0c10c0502906bebf9ea8c732d63809d5080dd6

tdf#131621: fix crash in mergedlo.dll

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2020-04-21 09:08:32 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/85fa2caa8e8b28b9b3a85fc66db9645828ac7f31

tdf#131621: fix crash in mergedlo.dll

It will be available in 6.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2020-04-21 09:08:44 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/87ceb9d1e6f5fa17064e3d3a172409a4d384b341

tdf#131621: fix crash in mergedlo.dll

It will be available in 6.3.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Xisco Faulí 2020-04-21 15:45:16 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: 850b8de31c5be5127eac16a4f5cc18c26a582e53
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Mike, thanks for fixing this issue!!
Comment 21 Commit Notification 2020-04-21 19:28:01 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-3-6":

https://git.libreoffice.org/core/commit/58af0207255d4937dea0878a1f557a9b9881f3e6

tdf#131621: fix crash in mergedlo.dll

It will be available in 6.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2020-04-22 15:46:51 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a0c37548e17807bb0e0402b04e87bcd677fe132f

tdf#131621: sw: Add unittest

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.